Package org.bukkit.util

# Class ChatPaginator.ChatPage

java.lang.Object
org.bukkit.util.ChatPaginator.ChatPage

Enclosing class:
  ChatPaginator

public static class ChatPaginator.ChatPage extends Object

## Constructor Summary

Constructors
Constructor
Description
`ChatPage(@NotNull String[] lines, int pageNumber, int totalPages)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String[]`
`getLines()`
`int`
`getPageNumber()`
`int`
`getTotalPages()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChatPage

public ChatPage(@NotNull @NotNull String[] lines, int pageNumber, int totalPages)

## Method Details

### getPageNumber

public int getPageNumber()

### getTotalPages

public int getTotalPages()

### getLines

@NotNull public @NotNull String[] getLines()